Subject: Re: [PATCH v1 2/3] Treewide: Stop corrupting socket's task_frag

From: Christoph Hellwig <[email-masked]>
Date: Tue, 29 Nov 2022 15:02:42 +0100

Hmm.  Having to set a flag to not accidentally corrupt per-task
state seems a bit fragile.  Wouldn't it make sense to find a way to opt
into the feature only for sockets created from the syscall layer?